cURL
curl --request POST \
--url https://api.unifygtm.com/data/v1/lists \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"object": "<string>"
}
'import requests
url = "https://api.unifygtm.com/data/v1/lists"
payload = {
"name": "<string>",
"object": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', object: '<string>'})
};
fetch('https://api.unifygtm.com/data/v1/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "<string>",
"name": "<string>",
"object": "<string>",
"owner_id": "<string>",
"share_status": "ONLY_ME",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"status": "bad_request",
"errors": [
{
"code": "<string>",
"path": [
"<string>"
],
"object_api_name": "<string>",
"attribute_api_name": "<string>"
}
],
"message": "<string>"
}{
"status": "unauthorized",
"message": "<string>"
}{
"status": "forbidden",
"message": "<string>"
}{
"status": "object_not_found",
"message": "<string>"
}{
"status": "list_conflict",
"message": "<string>"
}{
"status": "rate_limited",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Lists
Create list
Create an empty list of records of one object.
POST
/
lists
cURL
Authorizations
Body
application/json
Request body for creating a list.
Name of the list. Must be unique within the workspace.
Required string length:
1 - 255API name of the object whose records the list will hold. Cannot be changed after creation.
Who can see and change the list. Defaults to ONLY_ME.
Available options:
ONLY_ME, ALL_OTHERS_CAN_VIEW, ALL_OTHERS_CAN_EDIT Response
Response for a successful create operation.
Response for a successful create operation.
⌘I